# $Revision: 1.8 $, $Date: 2012/01/11 21:53:34 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	PPPort
Summary:	Devel::PPPort - Perl/Pollution/Portability
Summary(pl.UTF-8):	Devel:::PPPort - Perl/Zanieczyszczenie/Przenośność
Name:		perl-Devel-PPPort
Version:	3.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	491ff215ff03dffb84902f6b4bb78ada
URL:		http://search.cpan.org/dist/Devel-PPPort/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl's API has changed over time, gaining new features, new functions,
increasing its flexibility, and reducing the impact on the C namespace
environment (reduced pollution). The header file written by this module,
typically ppport.h, attempts to bring some of the newer Perl API
features to older versions of Perl, so that you can worry less about
keeping track of old releases, but users can still reap the benefit.

Devel::PPPort contains a single function, called WriteFile. Its
only purpose is to write the ppport.h C header file. This file
contains a series of macros and, if explicitly requested, functions that
allow XS modules to be built using older versions of Perl. Currently,
Perl versions from 5.003 to 5.10.0 are supported.

This module is used by h2xs to write the file ppport.h.

%description -l pl.UTF-8
Perlowe API zmieniało się w czasie, zyskując nowe możliwości, nowe
funkcje, zwiększając elastyczność i zmniejszając wpływ na środowisko
przestrzeni nazw C (mniejsze zanieczyszczenie). Plik nagłówkowy
zapisywany przez ten moduł, zwykle ppport.h, próbuje udostępnić
niektóre z nowych możliwości API Perla w starszych wersjach Perla, aby
mniej trzeba było martwić się o śledzenie starszych wersji.

Devel::PPPort zawiera jedną funkcję - WriteFile. Jej jedynym celem
jest zapis pliku nagłówkowego C ppport.h. Plik ten zawiera ciąg makr
i, jeśli tego zażądano, funkcje pozwalające na budowanie modułów XS
przy użyciu starszych wersji Perla. Aktualnie obsługiwane są wersje
Perla od 5.003 do 5.10.0.

Ten moduł jest używany przez h2xs do zapisu pliku ppport.h.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/Devel/*.pm
%dir %{perl_vendorarch}/auto/Devel/PPPort
%{perl_vendorarch}/auto/Devel/PPPort/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/PPPort/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-PPPort.spec,v $
Revision 1.8  2012/01/11 21:53:34  zbyniu
- up to 3.20

Revision 1.7  2010/06/06 08:34:50  arekm
- release 2

Revision 1.6  2009/06/16 09:02:21  amateja
- updated to 3.19

Revision 1.5  2008/02/23 22:02:44  glen
- release 3

Revision 1.4  2008-02-10 12:07:39  arekm
- rel 2

Revision 1.3  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.2  2007-04-24 16:48:22  qboosh
- pl

Revision 1.1  2007/04/22 12:15:40  radek
- new
